complexType "RelativeDateOffset"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 18 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier?, period?, dayType?, businessDayConvention?, (businessCentersReference | businessCenters)?, dateRelativeTo?, adjustedDate?
</...>

Content Model Elements (8):

  adjustedDate (defined in RelativeDateOffset complexType),
  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCentersReference,
  businessDayConvention (defined in RelativeDateOffset complexType),
  dateRelativeTo (defined in RelativeDateOffset complexType),
  dayType (defined in Offset complexType),
  period (defined in Period complexType),
  periodMultiplier (defined in Period complexType)

Known Direct Subtypes (2):

  AdjustedRelativeDateOffset, RelativeDates

All Direct / Indirect Based Elements (19):

  cashSettlementValuationDate,
  feePaymentDate (defined in ExerciseFeeSchedule complexType),
  feePaymentDate (in exerciseFee),
  fixingDateOffset,
  fixingDates (in resetDates),
  initialFixingDate (in interestLegResetDates),
  initialFixingDate (in resetDates),
  paymentDate (in fixedPayment),
  relativeDate (defined in AdjustableDatesOrRelativeDateOffset complexType),
  relativeDate (defined in AdjustableOrRelativeDate complexType),
  relativeDate (defined in Composite complexType),
  relativeDate (in cashSettlementPaymentDate),
  relativeDates (defined in AdjustableOrRelativeDates complexType),
  relativeDates (defined in AdjustableRelativeOrPeriodicDates2 complexType),
  relativeEffectiveDate,
  relativeTerminationDate,
  settlementDateOffset,
  varyingNotionalFixingDates,
  varyingNotionalInterimExchangePaymentDates

Known Usage Locations

- In derivations of other global types (2):

  AdjustedRelativeDateOffset (as extension base), | RelativeDates (as extension base)

- As direct type of elements (16):
  cashSettlementValuationDate,
  feePaymentDate (defined in ExerciseFeeSchedule complexType),
  feePaymentDate (in exerciseFee),
  fixingDateOffset,
  fixingDates (in resetDates),
  initialFixingDate (in interestLegResetDates),
  initialFixingDate (in resetDates),
  paymentDate (in fixedPayment),
  relativeDate (defined in AdjustableDatesOrRelativeDateOffset complexType),
  relativeDate (defined in AdjustableOrRelativeDate complexType),
  relativeDate (defined in Composite complexType),
  relativeDate (in cashSettlementPaymentDate),
  relativeTerminationDate,
  settlementDateOffset,
  varyingNotionalFixingDates,
  varyingNotionalInterimExchangePaymentDates

Annotation
A type defining a date (referred to as the derived date) as a relative offset from another date (referred to as the anchor date). If the anchor date is itself an adjustable date then the offset is assumed to be calculated from the adjusted anchor date. A number of different scenarios can be supported, namely; 1) the derived date may simply be a number of calendar periods (days, weeks, months or years) preceding or following the anchor date; 2) the unadjusted derived date may be a number of calendar periods (days, weeks, months or years) preceding or following the anchor date with the resulting unadjusted derived date subject to adjustment in accordance with a specified business day convention, i.e. the derived date must fall on a good business day; 3) the derived date may be a number of business days preceding or following the anchor date. Note that the businessDayConvention specifies any required adjustment to the unadjusted derived date. A negative or positive value in the periodMultiplier indicates whether the unadjusted derived precedes or follows the anchor date. The businessDayConvention should contain a value NONE if the day type element contains a value of Business (since specifying a negative or positive business days offset would already guarantee that the derived date would fall on a good business day in the specified business centers).
Type Definition Detail

Type Derivation Tree Period (extension) Offset (extension) RelativeDateOffset

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="RelativeDateOffset"> <xsd:complexContent> <xsd:extension base="Offset"> <xsd:sequence> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> <xsd:element minOccurs="0" name="dateRelativeTo" type="DateReference"/> <xsd:element minOccurs="0" name="adjustedDate" type="IdentifiedDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/8)
adjustedDate

  Type: | IdentifiedDate, simple content

  The date once the adjustment has been performed. (Note that this date may change if the business center holidays change).
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedDate" type="IdentifiedDate"/>

businessDayConvention

  Type: | BusinessDayConventionEnum, simple content

  The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "FOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day See: http://www.FpML.org
  "FRN" | - | Per 2000 ISDA Definitions, Section 4.11. FRN Convention; Eurodollar Convention. See: http://www.FpML.org
  "MODFOLLOWING" | - | The non-business date will be adjusted to the first following day that is a business day unless that day falls in the next calendar month, in which case that date will be the first preceding day that is a business day. See: http://www.FpML.org
  "PRECEDING" | - | The non-business day will be adjusted to the first preceding day that is a business day. See: http://www.FpML.org
  "MODPRECEDING" | - | The non-business date will be adjusted to the first preceding day that is a business day unless that day falls in the previous calendar month, in which case that date will be the first following day that us a business day. See: http://www.FpML.org
  "NEAREST" | - | The non-business date will be adjusted to the nearest day that is a business day - i.e. if the non-business day falls on any day other than a Sunday or a Monday, it will be the first preceding day that is a business day, and will be the first following business day if it falls on a Sunday or a Monday. See: http://www.FpML.org
  "NONE" | - | The date will not be adjusted if it falls on a day that is not a business day. See: http://www.FpML.org
  "NotApplicable" | - | The date adjustments conventions are defined elsewhere, so it is not required to specify them here. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"/>

dateRelativeTo

  Type: | DateReference, empty content

  Specifies the anchor as an href attribute. The href attribute value is a pointer style reference to the element or component elsewhere in the document where the anchor date is defined.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateRelativeTo" type="DateReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.